use <Motorhalter.scad>;
$fn = 50;
M4HoleDiam = 4.4;

height = 42.1;
thickness = 4;

difference() {
    cube([70, height, thickness]);
    rotate([0, -90, -90]) #motorholes(thickness+1);
    
    l = 47;
    r = 64;
    translate([l, 6]) rotate([0, -90, -90]) #MotorM4Hole(thickness+1);
    translate([l, height-5]) rotate([0, -90, -90]) #MotorM4Hole(thickness+1);
    
    translate([r, 6]) rotate([0, -90, -90]) #MotorM4Hole(thickness+1);
    translate([r, height-5]) rotate([0, -90, -90]) #MotorM4Hole(thickness+1);
    
    translate([l+(r-l)/2, height/2]) rotate([0, -90, -90]) #MotorM4Hole(thickness+1);
}

module MotorM4Hole(thickness) {
    rotate([0, 90, 0])cylinder(h = thickness, d = M4HoleDiam);
}